Summary:	Font server for X Window System
Summary(pl.UTF-8):	Serwer fontów dla X Window System
Summary(ru.UTF-8):	Фонтсервер для X Window System
Summary(uk.UTF-8):	Фонтсервер для X Window System
Name:		xorg-app-xfs
Version:	1.2.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/app/xfs-%{version}.tar.bz2
# Source0-md5:	b4d2e644bfb35cae8858d2411501b07e
Source1:	xfs.config
Source2:	xfs.init
Source3:	xfs.sysconfig
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	xmlto >= 0.0.20
BuildRequires:	xorg-font-font-util >= 1.1
BuildRequires:	xorg-lib-libXfont2-devel >= 2.0.1
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-xproto-devel >= 7.0.17
BuildRequires:	xorg-sgml-doctools >= 1.5
BuildRequires:	xorg-util-util-macros >= 1.10
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	rc-scripts
Requires:	xorg-lib-libXfont2 >= 2.0.1
Provides:	group(xfs)
Provides:	user(xfs)
Obsoletes:	X11-xfs < 1:7.0.0
Obsoletes:	XFree86-xfs < 1:7.0.0
Obsoletes:	xfs < 1:7.0.0
Obsoletes:	xfsft
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a font server for X Window System. You can serve fonts to
other X servers remotely with this package, and the remote system will
be able to use all fonts installed on the font server, even if they
are not installed on the remote computer.

%description -l pl.UTF-8
Pakiet zawiera serwer fontów dla X Window System. Może udostępniać
fonty dla X serwerów lokalnych lub zdalnych.

%description -l ru.UTF-8
xfs содержит сервер шрифтов для X Window System. Xfs также может
предоставлять шрифты удаленным X-серверам. Удаленная система будет
способна использовать все шрифты, установленные на сервере шрифтов,
даже если они не установлены на удаленном компьютере.

%description -l uk.UTF-8
xfs містить сервер шрифтів для X Window System. Xfs також може
надавати шрифти віддаленим X-серверам. Віддалена система зможе
використовувати усі шрифти, які встановлені на сервері шрифтів, навіть
якщо вони не встановлені на віддаленому комп'ютері.

%prep
%setup -q -n xfs-%{version}

%build
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--enable-devel-docs \
	--with-default-config-file=%{_sysconfdir}/X11/fs/config

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/X11/fs/config
install -D %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/xfs
install -D %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/xfs

%clean
rm -rf $RPM_BUILD_ROOT

%pre
%groupadd -P %{name}-xfs -g 56 -r -f xfs
%useradd -P %{name}-xfs -u 56 -r -d /etc/X11/fs -s /bin/false -c "X Font Server" -g xfs xfs

%post
/sbin/chkconfig --add xfs
%service xfs restart "font server"

%preun
if [ "$1" = "0" ]; then
	%service xfs stop
	/sbin/chkconfig --del xfs
fi

%postun
if [ "$1" = "0" ]; then
	%userremove xfs
	%groupremove xfs
fi

%triggerpostun -- xfs
%groupadd -P %{name}-xfs -g 56 -r -f xfs
%useradd -P %{name}-xfs -u 56 -r -d /etc/X11/fs -s /bin/false -c "X Font Server" -g xfs xfs
/sbin/chkconfig --add xfs
/sbin/service xfs start >&2

%triggerpostun -- X11-xfs
/sbin/chkconfig --add xfs
/sbin/service xfs start >&2

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README doc/xfs-design.html
%attr(755,root,root) %{_bindir}/xfs
%dir %{_sysconfdir}/X11/fs
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/X11/fs/config
%attr(754,root,root) /etc/rc.d/init.d/xfs
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/xfs
%{_mandir}/man1/xfs.1*
%changelog
* Mon Mar 12 2018 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-app-xfs.git;a=log;h=master

* Tue Nov 28 2017 Jakub Bogusz <qboosh@pld-linux.org> 205932b
- updated to 1.2.0 (now uses libXfont2)

* Sun May 03 2015 Jan Rękorajski <baggins@pld-linux.org> 6cb2fd6
- x32 rebuild
- release 2 (by relup.sh)

* Sat Aug 30 2014 Jakub Bogusz <qboosh@pld-linux.org> e67a755
- updated to 1.1.4

* Sun Apr 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 62c7425
- updated to 1.1.3

* Fri Mar 02 2012 Jakub Bogusz <qboosh@pld-linux.org> 65ec998
- updated to 1.1.2; needs libXfont 1.4.5+ to compile

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> eee2580
- dropped pre-cvs changelog

* Sun Oct 31 2010 Jakub Bogusz <qboosh@pld-linux.org> 92c3170
- updated to 1.1.1
- package devel docs

* Fri Oct 09 2009 Jakub Bogusz <qboosh@pld-linux.org> b6f9908
- updated util-macros and autoconf versions
- explicit xtrans BR

* Fri Jun 19 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> d71563a
- builds now

* Fri Jun 19 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 42039d3
- up to 1.1.0

* Thu Apr 30 2009 zbyniu <zbyniu@pld-linux.org> 7e24955
- full path in daemon()

* Mon May 26 2008 Jakub Bogusz <qboosh@pld-linux.org> 922a59b
- updated to 1.0.8

* Wed May 21 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 218d3e9
- up to 1.0.7

* Thu Mar 06 2008 Jakub Bogusz <qboosh@pld-linux.org> ac6c365
- BR: util-macros 1.1

* Thu Mar 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 93b1448
- up to 1.0.6

* Sun Dec 02 2007 Jakub Bogusz <qboosh@pld-linux.org> 7ad58f9
- use functions
- added try-restart action (LSB 3.1)

* Tue Oct 30 2007 Jakub Bogusz <qboosh@pld-linux.org> a6d4937
- CVE references typo

* Tue Oct 02 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 6d075f9
- up to 1.0.5 (CVE-2007-4568, CVE-2007-4990)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> c3e838a
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 72b4688
- converted to UTF-8

